Bug 256512 - net/intel-em-kmod: Add Comet/Tiger/Adler/Meteor lake i219 Ethernet support (from OpenBSD)
Summary: net/intel-em-kmod: Add Comet/Tiger/Adler/Meteor lake i219 Ethernet support (f...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-09 20:18 UTC by ruben
Modified: 2021-09-16 09:41 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)
koobs: merge-quarterly?


Attachments
Patch file for intel-em-kmod/files (3.14 KB, patch)
2021-06-09 20:18 UTC, ruben
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ruben 2021-06-09 20:18:17 UTC
Created attachment 225671 [details]
Patch file for intel-em-kmod/files

When dropped into /usr/ports/net/intel-em-kmod/files, patch-openbsd-comet-tiger-adler-meteor-lake-pciids provides additional support for Comet/Tiger/Adler/Meteor lake i219 Ethernet.

The PCI ids have been obtained from 

https://github.com/openbsd/src/commit/f872b0ca7bc15abfc9df9784b4b2ca8f97c78027
https://github.com/openbsd/src/commit/0b249e2164be2385bc6a5e82814435649b2b06e0

This makes the i219-V on a ASUSTek / PRIME Z590M-PLUS work.

[...] em0: <Intel(R) PRO/1000 Network Connection 7.7.8> mem 0xa0d00000-0xa0d1ffff at device 31.6 on pci0
[...] em0: Using an MSI interrupt
[...] em0: Ethernet address: ...

em0@pci0:0:31:6:	class=0x020000 rev=0x11 hdr=0x00 vendor=0x8086 device=0x15fa subvendor=0x1043 subdevice=0x8672
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Connection (14) I219-V'
    class      = network
    subclass   = ethernet
    bar   [10] = type Memory, range 32, base rxa0d00000, size 131072, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit enabled with 1 message

tested with ssh connections and dd'ing directly attached storage through netcat into a sinkhole on another system. Wirespeed performance was observed, so I guess tx/rx and irq works. other variants not tested by me
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-21 01:18:57 UTC
Do we know if the latest upstream (intel.com) drivers support this chipset? We should create a separate issue to get the drivers updated in base too.
Comment 2 ruben 2021-07-21 09:53:16 UTC
At time of filing there wasn’t a newer distfile available supporting the new hardware.

Yes the drivers in base need an update too, but I don’t know how much the port has diverged from base, and this is the quickest fix to let people enjoy their new hardware. Given it is in OpenBSD base I don’t suspect regressions in the driver
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-21 10:31:16 UTC
(In reply to ruben from comment #2)

Absolutely, additional info request merely to understand the broader picture in the event creating other issues might be beneficial. 

Thank you for the report and patch Rueben
Comment 4 Kevin Bowling freebsd_committer 2021-09-15 19:06:53 UTC
(In reply to ruben from comment #2)
The base driver already supports all these 59690eab572dde1176886bff7ed0c506df974e5e and it was MFCed.  I would recommend using the base driver.
Comment 5 ruben 2021-09-16 09:41:51 UTC
(In reply to Kevin Bowling from comment #4)
Thanks, that makes this pr moot and can be closed.